LibreOffice LibreOffice 25.2 SDK API Reference

List of all members
GetCreateDialogFactoryService Service Reference

The vcl module uses this to call 'new AbstractDialogFactory_Impl' in the cui module. More...

`import"GetCreateDialogFactoryService.idl";`

Inheritance diagram for GetCreateDialogFactoryService:

## Additional Inherited Members
Public Member Functions inherited from XUnoTunnel
hyper | getSomething ([in] sequence< byte > aIdentifier)
| Call this method to get something which is not specified in UNO, e.g. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

The vcl module uses this to call 'new AbstractDialogFactory_Impl' in the cui module.

Because we have a dependency in our modules that goes the "wrong" way.

Since
  LibreOffice 24.8

The documentation for this service was generated from the following file:

- com/sun/star/cui/GetCreateDialogFactoryService.idl